POST https://api.cryptohopper.com/v1/user/password

Sets a new password for the user. The password must be 8 to 255 characters long.

OAuth scope: user About scopes

The current password and a two-factor code are not asked for.

Example request

curl -X POST "https://api.cryptohopper.com/v1/user/password" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"password":"CHANGE_ME"}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Request body

JSON, model UserPasswordPost

FieldTypeRequiredDescription
passwordstringOptional

Response

Example response (illustrative values)

{
    "data": "The password has been changed."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.